Results 1 to 6 of 6
  1. #1
    Join Date
    May 2017
    Posts
    1

    Default Crash after update

    Hi.

    I've upgraded to 4.2.1 (22354) but when I open, BC crash.

    I'm using macOS X 10.12.4.

    Could you help me ?

    I have the report generated by macOS. Can I send by e-mail ?

    Thanks,
    Romulo.

  2. #2
    Join Date
    Oct 2007
    Location
    Madison, WI
    Posts
    11,893

    Default

    Yes, please email the full crash report and any other captured information to support@scootersoftware.com along with a link back to this forum thread.

    Next, please go to your /Users/username/Library/Application Support/Beyond Compare/ and find our setting .xmls. Please shutdown BC4, then Move these files out of this directory to a temp location, and then restart BC4. Does clearing out and reverting to defaults get BC4 launching correctly?
    Aaron P Scooter Software

  3. #3
    Join Date
    May 2017
    Posts
    2

    Default

    I'm having the crash at startup also. One thing that seems relevant to the crash in the dump:

    Dyld Error Message:
    Library not loaded: @executable_path/../Frameworks/LetsMove.framework/Versions/A/LetsMove
    Referenced from: /Applications/Beyond Compare.app/Contents/MacOS/BCompare
    Reason: no suitable image found. Did find:
    /Applications/Beyond Compare.app/Contents/MacOS/../Frameworks/LetsMove.framework/Versions/A/LetsMove: code signature invalid for '/Applications/Beyond Compare.app/Contents/MacOS/../Frameworks/LetsMove.framework/Versions/A/LetsMove'

    /Applications/Beyond Compare.app/Contents/MacOS/../Frameworks/LetsMove.framework/Versions/A/LetsMove: code signature invalid for '/Applications/Beyond Compare.app/Contents/MacOS/../Frameworks/LetsMove.framework/Versions/A/LetsMove'

  4. #4
    Join Date
    Oct 2007
    Location
    Madison, WI
    Posts
    11,893

    Default

    Hello,

    Please delete your copy of BC 4.2's Beyond Compare.app, and download a fresh install of BC 4.2.1 from our website. Does this get you up and running?
    http://www.scootersoftware.com/download.php
    Aaron P Scooter Software

  5. #5
    Join Date
    May 2017
    Posts
    2

    Default

    Quote Originally Posted by Aaron View Post
    Hello,

    Please delete your copy of BC 4.2's Beyond Compare.app, and download a fresh install of BC 4.2.1 from our website. Does this get you up and running?
    http://www.scootersoftware.com/download.php
    That solved it! Thank you for replying with the info.

  6. #6
    Join Date
    Oct 2007
    Location
    Madison, WI
    Posts
    11,893

    Default

    Hello,

    BC 4.2.2 contains a fix going forward that will prevent this from happening. However, if you are encountering this having upgraded to 4.2.0/4.2.1, please manually delete and install 4.2.2 or newer from our website.
    Aaron P Scooter Software

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •